2

I created a yaml config file and ran it with mapproxy-util serve-develop my-config.yaml The file contains this:

services:
  demo:
  tms:
  kml:
  wmts:
     capabilities: http://localhost:8080/wmts/1.0.0/WMTSCapabilities.xml
  wms:

layers:
- name: photographiesaeriennes
  title: Photographies aériennes
  sources:
  - ign_cache
caches:
  ign_cache:
    grids:
    - ign_grid
    sources:
    - ign_source
sources:
  ign_source:
    type: tile
    grid: ign_grid
    url: https://wxs.ign.fr/pratique/geoportail/wmts?SERVICE=WMTS&REQUEST=GetTile&VERSION=1.0.0&LAYER=ORTHOIMAGERY.ORTHOPHOTOS&STYLE=normal&FORMAT=image/jpeg&TILEMATRIXSET=PM&TILEMATRIX=%(z)s&TILEROW=%(y)s&TILECOL=%(x)s
grids:
  ign_grid:
    base: GLOBAL_MERCATOR
    srs: EPSG:3857
    origin: nw
    res:
    - 156543.0339280410
    - 78271.5169640205
    - 39135.7584820102
    - 19567.8792410051
    - 9783.9396205026
    - 4891.9698102513
    - 2445.9849051256
    - 1222.9924525628
    - 611.4962262814
    - 305.7481131407
    - 152.8740565704
    - 76.4370282852
    - 38.2185141426
    - 19.1092570713
    - 9.5546285356
    - 4.7773142678
    - 2.3886571339
    - 1.1943285670
    - 0.5971642835
    - 0.2985821417

and when I run it I get this error :

mapproxy.config - WARNING - unknown 'capabilities' in services.wmts

I can still use this proxy but it loads very slow compared to the source and while it runs in QGIS I get many [Errno 32] Broken pipe messages.

Did I write my config file wrong ?

  • The error you comment is only a warning (because "capabilities" is not defined in Mapproxy WMTS Services. Don't you get any other warnings or errors when running mapproxy-util? – geraldo Oct 7 at 11:19
0

Everything works just fine on my machine, so this isn't a problem with your config file. I run mapproxy 1.11.0, using exactly the yaml definition you posted in your question.

I add a WMTS layer from QGIS (3.4) using GetCapabilities from this url:

http://127.0.0.1:8080/wmts/1.0.0/WMTSCapabilities.xml

And the layer loads fine without any problems and error messages in QGIS Log Messages.

enter image description here

Make sure you use uptodate mapproxy and QGIS versions. Your mapproxy installation should work with the initial test configuration yaml file and QGIS should be able to load WMS/WMTS layers from other sources without any error message.

PS: The error you comment is only a warning:

mapproxy.config - WARNING - unknown 'capabilities' in services.wmts

"capabilities" is not defined in Mapproxy WMTS Services, so you can take out that line.

  • Thanks. How about loading time though? Do you notice a difference between the original feed and the proxy feed? – Gamnamno Oct 11 at 8:00
  • I see similar loading times for original and mapproxy access. Have in mind that first time request throughout proxy could be slower than original, yet because mapproxy has to produce the tile cache. So would need to seed the tiles to be sure they are not generated while accessing. To speed up the proxy you also should have a look at production deployment. – geraldo Oct 11 at 8:55
  • I'll try that, thanks. btw don't you get any tiles that get skipped? I often have to unzoom and re-zoom to load missing ones, which apparently is what the "broken pipes" messages are saying. – Gamnamno Oct 15 at 10:37

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.